wxRuby Documentation Home

# Wx::MultiChoiceDialog

This class represents a dialog that shows a list of strings, and allows
the user to select one or more.

## Derived from

Dialog

Window

EvtHandler

Object

## See also

MultiChoiceDialog overview,
SingleChoiceDialog

## Methods

- MultiChoiceDialog.new
- MultiChoiceDialog#get_selections
- MultiChoiceDialog#set_selections
- MultiChoiceDialog#show_modal

### MultiChoiceDialog.new

MultiChoiceDialog.new(%(arg-type)Window% parent, String message, String caption, Integer n, String choices, Integer style = CHOICEDLG_STYLE, Point pos = DEFAULT_POSITION) MultiChoiceDialog.new(%(arg-type)Window% parent, String message, String caption, ArrayString choices, Integer style = CHOICEDLG_STYLE, Point pos = DEFAULT_POSITION)

Constructor taking an array of String choices.

#### Parameters

- parent Parent window.
- message Message to show on the dialog.
- caption The dialog caption.
- n The number of choices.
- choices An array of strings, or a string list, containing the choices.
- style A dialog style (bitlist) containing flags chosen from standard
  dialog styles and the following:

OK | Show an OK button.
CANCEL | Show a Cancel button.
CENTRE | Centre the message. Not Windows.

The default value is equivalent to DEFAULT_DIALOG_STYLE * RESIZE_BORDER * OK * CANCEL * CENTRE.

- pos Dialog position. Not Windows.

#### Remarks

Use MultiChoiceDialog#show_modal to show the dialog.

### MultiChoiceDialog#get_selections

ArrayInt get_selection()

Returns array with indexes of selected items.

### MultiChoiceDialog#set_selections

set_selections(%(arg-type)ArrayInt% selections)

Sets selected items from the array of selected items’ indexes.

### MultiChoiceDialog#show_modal

Integer show_modal()

Shows the dialog, returning either ID_OK or ID_CANCEL.

[This page automatically generated from the Textile source at 2023-06-09 00:45:35 +0000]